# Change Log

All notable changes to this project will be documented in this file
automatically by Versionist. DO NOT EDIT THIS FILE MANUALLY!
This project adheres to [Semantic Versioning](http://semver.org/).

## 3.3.1 - 2020-02-24

* Fix exit code for non-prettified files [Pagan Gazzard]

## 3.3.0 - 2020-02-10

* Use fs.access instead of the deprecated fs.exists [Pagan Gazzard]
* Allow globbing in parallel [Pagan Gazzard]
* Parallelize file reading/linting where possible [Pagan Gazzard]
* Switch to async fs calls [Pagan Gazzard]
* Avoid unnecessary toString calls from fs operations [Pagan Gazzard]

## 3.2.4 - 2020-02-05

* Remove node 6 from the test matrix [Pagan Gazzard]
* Add automatic linting on commit [Pagan Gazzard]
* Use an npmrc to disable package lock creation [Pagan Gazzard]
* Remove unnecessary coffeescript linting of lib [Pagan Gazzard]
* Ignore all js/map files in lib [Pagan Gazzard]
* Add node 12 to the test matrix [Pagan Gazzard]

## 3.2.3 - 2020-02-04

* Only run the prettier check if we did not automatically prettify it [Pagan Gazzard]
* Run prettier after tslint so that we can also prettify any autofixes [Pagan Gazzard]

## 3.2.2 - 2020-02-04

* Remove bluebird dependency [Pagan Gazzard]
* Convert to async/await [Pagan Gazzard]

## 3.2.1 - 2020-02-04

* Lazy load lodash [Pagan Gazzard]
* Lazy load mocha-tests-lint [Pagan Gazzard]
* Lazy load depcheck [Pagan Gazzard]
* Lazy load prettier [Pagan Gazzard]
* Lazy load coffeelint [Pagan Gazzard]

## 3.2.0 - 2020-01-27

* Add support for automatically fixing linting errors with `--fix` [Pagan Gazzard]

## 3.1.1 - 2019-11-09

* Upgrade prettier to support typescript 3.7 syntax [Theodor Gherzan]

## 3.1.0 - 2019-07-04

* Add mocha tests linting [Roman Mazur]

## 3.0.4 - 2019-05-13

* Moved chai exception from last release into proper tslint.json [dt-rush]

## 3.0.3 - 2019-05-11

* Add exception for 'no unused expression' for chai test syntax [dt-rush]

## 3.0.2 - 2019-04-12

* Handle failures more gracefully than an `UnhandledPromiseRejection` [Pagan Gazzard]

## 3.0.1 - 2019-02-27

* Remove member-ordering flag [Cameron Diver]

## 3.0.0 - 2019-02-19

* Chore: remove node-4 CI tests [Jakub Mikulas]
* Docs: update usage readme [Jakub Mikulas]
* Style: formatting [Jakub Mikulas]
* Fix: tslint extending [Jakub Mikulas]
* Feat: add linting rules for the library [Jakub Mikulas]
* Feat: sync tslint with balena/process [Jakub Mikulas]

## v2.0.1 - 2018-09-14

* Fix --no-prettier arg [Thodoris Greasidis]

## v2.0.0 - 2018-08-31

* Run prettier on the repo source as part of the lint step [Thodoris Greasidis]
* Add support for prettier code format checks [Thodoris Greasidis]

## v1.5.7 - 2018-05-01

* Readd node 4 compatibility #23 [Pagan Gazzard]

## v1.5.6 - 2018-05-01

* Move typescript to dependencies as tslint requires it but does not install itself #22 [Pagan Gazzard]

## v1.5.5 - 2018-05-01

* Fix typescript types and compile on publish rather than at runtime. #21 [Pagan Gazzard]

## v1.5.4 - 2018-05-01

* Restore compatibility with previously support node versions. #20 [Pagan Gazzard]

## v1.5.3 - 2018-05-01

* Add circleci tests and auto-publishing #19 [Pagan Gazzard]

## v1.5.2 - 2018-02-17

* Fix the `--typescript` option swallowing the first input after it #17 [Pagan Gazzard]

## v1.5.1 - 2018-01-05

* Convert project to TypeScript #15 [Lucian Buzzo]

## v1.5.0 - 2017-12-22

* Add support for linting .ts and .tsx files #7 [Lucian Buzzo]
* Add depcheck to find unused dependencies at lint-time #7 [Cameron Diver]

## v1.4.2 - 2017-12-22

* Add depcheck to linter, used with -u flag
* Bump coffeescope2

## v1.4.1

* Migrate from https://github.com/resin-io/resin-lint to https://github.com/resin-io/node-resin-lint

## v1.4.0

* Import AMD globals

## v1.3.2

* Detect undefined variables

## v1.3.1

* Remove the line ending rule

## v1.3.0

* Integrate coffeescope2 and add unused variable reporting

## v1.0.0

* Coffeelint wrapper for Resin.io-specific coffeelint.json
